Sign As Organizer

Sign as organizer

post

Sign the waste shipment as organizer.

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired

Unique identifier of the waste form

Responses
chevron-right
200

Sign successful

application/json
uidstring Β· uuidOptional

Unique identifier of the waste form

Example: 123e4567-e89b-12d3-a456-426614174000
namestringOptional

Human readable name of the waste form. Identifier for OVAM.

Example: DAS-1
createdstring Β· date-timeOptional

Date and time of creation

Example: 2022-01-01T00:00:00Z
updatedstring Β· date-timeOptional

Date and time of last update

Example: 2022-01-01T00:00:00Z
statusstring Β· enumOptional

The status of the waste shipment

Example: completedPossible values:
discontinued_reasonstring Β· nullableOptional

Reason for the discontinuation of the waste shipment, the waste was in transit but never arrived at destination

Example: Traffic accident
transport_uidstring Β· uuidOptional

Unique identifier of the transport linked to the waste form in the TMS if any

Example: 123e4567-e89b-12d3-a456-426614174000
producer_idinteger Β· nullableOptional

The ID of the producer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 1
processor_idinteger Β· nullableOptional

The ID of the processor company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 2
carrier_idinteger Β· nullableOptional

The ID of the carrier company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 3
organizer_idinteger Β· nullableOptional

The ID of the organizer company. You need to have the company created first with the /v4/companies/ endpoint. Make sure you also set the specific details that are mandatory for waste activity with the endpoint /v4/wam/companies/{id}/details/.

Example: 4
origin_idinteger Β· nullableOptional

The ID of the origin address. If it does not exist, create it first with the /v4/addresses/ endpoint.

Example: 5
destination_idinteger Β· nullableOptionalDeprecated

The ID of the destination address. If it does not exist, create it first with the /v4/addresses/ endpoint. Deprecated because it is no longer used. We now use the processor address as destination.

Example: 6
instructionsstring Β· nullableOptionalExample: Handle with care
sea_ship_namestring Β· nullableOptional

Name of the sea ship

Example: Sea ship name
sea_ship_imo_numberstring Β· nullableOptional

IMO number of the sea ship

Example: IMO1234567
sea_ship_mmsi_numberstring Β· nullableOptional

MMSI number of the sea ship

Example: 123456789
sea_ship_eni_numberstring Β· nullableOptional

ENI number of the sea ship

Example: 12345678
transport_datestring Β· date-time Β· nullableOptionalExample: 2022-01-01T00:00:00Z
carrier_contact_uidstring Β· uuid Β· nullableOptional

The UID of the carrier contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
organizer_signatory_uidstring Β· uuid Β· nullableOptional

The UID of the organizer signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
producer_contact_uidstring Β· uuid Β· nullableOptional

The UID of the producer contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
processor_contact_uidstring Β· uuid Β· nullableOptional

The UID of the processor contact. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
processor_signatory_uidstring Β· uuid Β· nullableOptional

The UID of the processor signatory. If it does not exist, create it first with the /v4/wam/contacts/ endpoint.

Example: 123e4567-e89b-12d3-a456-426614174000
post
/wam/forms/{uid}/sign-as-organizer/
200

Sign successful

Last updated

Was this helpful?